# Submerchant Price / Item Update

Marketplace product offers;

* change the submerchant of the product in an order whose payment has been completed
* or update the amount to be transferred to the submerchant

with in the help of following API.

## Submerchant Item/Price Update

> This service is used to modify the payout amount of the submerchant or update the submerchant information based on a single paymentTransaction<br>

```json
{"openapi":"3.0.3","info":{"title":"Marketplace - Submerchant Create & Update - Approve","version":"1.3.3"},"servers":[{"url":"https://api.iyzipay.com","description":"iyzico API"}],"paths":{"/payment/item":{"put":{"summary":"Submerchant Item/Price Update","description":"This service is used to modify the payout amount of the submerchant or update the submerchant information based on a single paymentTransaction\n","tags":["Marketplace"],"parameters":[{"$ref":"#/components/parameters/AuthHeader"},{"$ref":"#/components/parameters/ContentTypeHeader"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemPayoutUpdateRequest"}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ItemPayoutUpdateResponse"}}}},"400":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}},"components":{"parameters":{"AuthHeader":{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Authorization header; a signed hash value that starts with **IYZWSv2** and is generated in Base64 format."},"ContentTypeHeader":{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string"},"description":"Request body content type."}},"schemas":{"ItemPayoutUpdateRequest":{"type":"object","required":["paymentTransactionId","subMerchantPrice","subMerchantKey"],"properties":{"locale":{"type":"string","enum":["tr","en"]},"conversationId":{"type":"string"},"paymentTransactionId":{"type":"string","description":"Payment split id."},"subMerchantKey":{"type":"string","description":"Submerchant key."},"subMerchantPrice":{"type":"number","description":"Amount to be transferred to the submerchant."}}},"ItemPayoutUpdateResponse":{"type":"object","properties":{"status":{"type":"string","enum":["success","failure"]},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"},"itemId":{"type":"string"},"paymentTransactionId":{"type":"string"},"transactionStatus":{"type":"integer"},"price":{"type":"number"},"paidPrice":{"type":"number"},"merchantCommissionRate":{"type":"number"},"merchantCommissionRateAmount":{"type":"number"},"iyziCommissionRateAmount":{"type":"number"},"iyziCommissionFee":{"type":"number"},"blockageRate":{"type":"number"},"blockageRateAmountMerchant":{"type":"number"},"blockageRateAmountSubMerchant":{"type":"number"},"blockageResolvedDate":{"type":"string"},"subMerchantKey":{"type":"string"},"subMerchantPrice":{"type":"number"},"subMerchantPayoutRate":{"type":"number"},"subMerchantPayoutAmount":{"type":"number"},"merchantPayoutAmount":{"type":"number"},"convertedPayout":{"type":"object","properties":{"paidPrice":{"type":"number"},"iyziCommissionRateAmount":{"type":"number"},"iyziCommissionFee":{"type":"number"},"blockageRateAmountMerchant":{"type":"number"},"blockageRateAmountSubMerchant":{"type":"number"},"subMerchantPayoutAmount":{"type":"number"},"merchantPayoutAmount":{"type":"number"},"iyziConversionRate":{"type":"number"},"iyziConversionRateAmount":{"type":"number"},"currency":{"type":"string"}}}}},"ErrorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["failure"]},"errorCode":{"type":"string"},"errorMessage":{"type":"string"},"locale":{"type":"string","enum":["tr","en"]},"systemTime":{"type":"integer"},"conversationId":{"type":"string"}}}}}}
```

#### Sample Codes

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td><a href="https://github.com/iyzico/iyzipay-php/blob/master/samples/submerchant_payment_item_update.php">PHP</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-java/blob/master/src/test/java/com/iyzipay/sample/PaymentItemUpdateSample.java">Java</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-dotnet/blob/master/Iyzipay.Samples/PaymentItemSample.cs">.Net</a></td></tr><tr><td><a href="https://github.com/iyzico/iyzipay-node/blob/master/samples/IyzipaySamples.js#L1024">Node.Js</a></td></tr><tr><td><a href="https://www.postman.com/iyzico/iyzico/request/jh4wgb5/1-4-1-submerchant-item-update">Postman</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iyzico.com/en/products/marketplace/marketplace-implementation/submerchant/alt-uye-sorgulama-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
